Loading...
Searching...
No Matches
l4shmc_ringbuf_t Struct Reference
L4SHM-based ring buffer implementation » Internal

Ring buffer. More...

`#include <ringbuf.h>`

Collaboration diagram for l4shmc_ringbuf_t:

## Data Fields

l4shmc_area_t * | _area
| L4SHM area this buffer is located in.
l4_cap_idx_t | _owner
| owner (attached to send/recv signal)
l4shmc_chunk_t | _chunk
| chunk descriptor
unsigned | _size
| chunk size // XXX do we need this?
char * | _chunkname
| name of the ring buffer chunk
char * | _signame
| base name of the ring buffer signals
l4shmc_ringbuf_head_t * | _addr
| pointer to ring buffer head
l4shmc_signal_t | _signal_full
| "full" signal - triggered when data is produced
l4shmc_signal_t | _signal_empty
| "empty" signal - triggered when data is consumed

## Detailed Description

Ring buffer.

Definition at line 85 of file ringbuf.h.

The documentation for this struct was generated from the following file:

- l4/shmc/ringbuf.h